import * as React from 'react';
import { TableLayoutOpts, Filter, Search, Action } from './interface';
export interface TableHeaderProps<T> extends TableLayoutOpts<T> {
    onQuery: Function;
    selected?: any[];
    selectObjects?: any;
}
export default class TableHeader<T> extends React.Component<TableHeaderProps<T>, {
    showSearch: boolean;
}> {
    state: {
        showSearch: boolean;
    };
    FilterMap: {};
    SearchMap: {};
    SearchKey: {};
    constructor(props: any);
    /**
     * 条件过滤
     *
    */
    doFilter(filter: Filter, value: any): void;
    checkBox(filter: Filter, checked: boolean): void;
    /**
     * 构造过滤UI
     *
    */
    filters(filters: Filter[]): JSX.Element[];
    clearSearch(key: any): void;
    toogleSearch(show: boolean, exe?: boolean): void;
    /**
     * 构造搜索UI
     *
    */
    searchs(searchs: Search[]): JSX.Element;
    actions(actions: Action[]): JSX.Element;
    tags(): JSX.Element[];
    render(): any[] | JSX.Element;
}
